<!DOCTYPE html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=utf-8">
  <title>helpers.py</title>
  <link rel="stylesheet" href="pycco.css">
</head>
<body>
<div id='container'>
  <div id="background"></div>
  <div class='section'>
    <div class='docs'><h1>helpers.py</h1></div>
  </div>
  <div class='clearall'>
  <div class='section' id='section-0'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-0'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span></span><span class="kn">import</span> <span class="nn">pandas</span> <span class="kn">as</span> <span class="nn">pd</span>
<span class="kn">import</span> <span class="nn">matplotlib.pyplot</span> <span class="kn">as</span> <span class="nn">plt</span>
<span class="kn">import</span> <span class="nn">fpdf</span>
<span class="kn">import</span> <span class="nn">markdown2</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-1'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-1'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">get_total_technasium_students_table</span><span class="p">(</span><span class="n">data</span><span class="p">):</span>
    <span class="sd">&#39;&#39;&#39;</span>
<span class="sd">    This function calculates the total students of a school or multiple schools.</span>

<span class="sd">    Args:</span>
<span class="sd">        data (Pandas.DataFrame): This is the data that will be used for calculating the total students of a school or multiple schools.</span>
<span class="sd">    Returns:</span>
<span class="sd">        frame (Pandas.Dataframe): This is a created dataframe that provides the results from the calculations structuredly.</span>
<span class="sd">    &#39;&#39;&#39;</span>
    <span class="n">tot_havo_j_1</span><span class="p">,</span> <span class="n">tot_havo_j_2</span><span class="p">,</span> <span class="n">tot_havo_j_3</span><span class="p">,</span> <span class="n">tot_havo_j_4</span><span class="p">,</span> <span class="n">tot_havo_j_5</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">5</span>
    <span class="n">tot_vwo_j_1</span><span class="p">,</span> <span class="n">tot_vwo_j_2</span><span class="p">,</span> <span class="n">tot_vwo_j_3</span><span class="p">,</span> <span class="n">tot_vwo_j_4</span><span class="p">,</span> <span class="n">tot_vwo_j_5</span><span class="p">,</span> <span class="n">tot_vwo_j_6</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">6</span>

    <span class="n">tot_havo_m_1</span><span class="p">,</span> <span class="n">tot_havo_m_2</span><span class="p">,</span> <span class="n">tot_havo_m_3</span><span class="p">,</span> <span class="n">tot_havo_m_4</span><span class="p">,</span> <span class="n">tot_havo_m_5</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">5</span>
    <span class="n">tot_vwo_m_1</span><span class="p">,</span> <span class="n">tot_vwo_m_2</span><span class="p">,</span> <span class="n">tot_vwo_m_3</span><span class="p">,</span> <span class="n">tot_vwo_m_4</span><span class="p">,</span> <span class="n">tot_vwo_m_5</span><span class="p">,</span> <span class="n">tot_vwo_m_6</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">6</span>

    <span class="n">tot_ll_1</span><span class="p">,</span> <span class="n">tot_ll_2</span><span class="p">,</span> <span class="n">tot_ll_3</span><span class="p">,</span> <span class="n">tot_ll_4</span><span class="p">,</span> <span class="n">tot_ll_5</span><span class="p">,</span> <span class="n">tot_ll_6</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">6</span>

    <span class="k">for</span> <span class="n">index</span><span class="p">,</span> <span class="n">row</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">iterrows</span><span class="p">():</span>
        <span class="n">tot_havo_j_1</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_j_1</span>
        <span class="n">tot_havo_j_2</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_j_2</span>
        <span class="n">tot_havo_j_3</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_j_3</span>
        <span class="n">tot_havo_j_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_j_4</span>
        <span class="n">tot_havo_j_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_j_5</span>

        <span class="n">tot_havo_m_1</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_m_1</span>
        <span class="n">tot_havo_m_2</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_m_2</span>
        <span class="n">tot_havo_m_3</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_m_3</span>
        <span class="n">tot_havo_m_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_m_4</span>
        <span class="n">tot_havo_m_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_m_5</span>

        <span class="n">tot_vwo_j_1</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_j_1</span>
        <span class="n">tot_vwo_j_2</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_j_2</span>
        <span class="n">tot_vwo_j_3</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_j_3</span>
        <span class="n">tot_vwo_j_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_j_4</span>
        <span class="n">tot_vwo_j_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_j_5</span>
        <span class="n">tot_vwo_j_6</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_j_6</span>

        <span class="n">tot_vwo_m_1</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_m_1</span>
        <span class="n">tot_vwo_m_2</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_m_2</span>
        <span class="n">tot_vwo_m_3</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_m_3</span>
        <span class="n">tot_vwo_m_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_m_4</span>
        <span class="n">tot_vwo_m_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_m_5</span>
        <span class="n">tot_vwo_m_6</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_m_6</span>

        <span class="n">tot_ll_1</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">tot_ll_1</span>
        <span class="n">tot_ll_2</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">tot_ll_2</span>
        <span class="n">tot_ll_3</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">tot_ll_3</span>
        <span class="n">tot_ll_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">tot_ll_4</span>
        <span class="n">tot_ll_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">tot_ll_5</span>
        <span class="n">tot_ll_6</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">tot_ll_6</span>

        <span class="n">tot_tech_ll_1</span> <span class="o">=</span> <span class="n">tot_havo_j_1</span> <span class="o">+</span> <span class="n">tot_havo_m_1</span> <span class="o">+</span> <span class="n">tot_vwo_j_1</span> <span class="o">+</span> <span class="n">tot_vwo_m_1</span>
        <span class="n">tot_tech_ll_2</span> <span class="o">=</span> <span class="n">tot_havo_j_2</span> <span class="o">+</span> <span class="n">tot_havo_m_2</span> <span class="o">+</span> <span class="n">tot_vwo_j_2</span> <span class="o">+</span> <span class="n">tot_vwo_m_2</span>
        <span class="n">tot_tech_ll_3</span> <span class="o">=</span> <span class="n">tot_havo_j_3</span> <span class="o">+</span> <span class="n">tot_havo_m_3</span> <span class="o">+</span> <span class="n">tot_vwo_j_3</span> <span class="o">+</span> <span class="n">tot_vwo_m_3</span>
        <span class="n">tot_tech_ll_4</span> <span class="o">=</span> <span class="n">tot_havo_j_4</span> <span class="o">+</span> <span class="n">tot_havo_m_4</span> <span class="o">+</span> <span class="n">tot_vwo_j_4</span> <span class="o">+</span> <span class="n">tot_vwo_m_4</span>
        <span class="n">tot_tech_ll_5</span> <span class="o">=</span> <span class="n">tot_havo_j_5</span> <span class="o">+</span> <span class="n">tot_havo_m_5</span> <span class="o">+</span> <span class="n">tot_vwo_j_5</span> <span class="o">+</span> <span class="n">tot_vwo_m_5</span>
        <span class="n">tot_tech_ll_6</span> <span class="o">=</span> <span class="n">tot_vwo_j_6</span> <span class="o">+</span> <span class="n">tot_vwo_m_6</span>


    <span class="n">test_data</span> <span class="o">=</span> <span class="p">[</span>
        <span class="p">[</span><span class="n">tot_havo_j_1</span><span class="p">,</span> <span class="n">tot_havo_m_1</span><span class="p">,</span> <span class="n">tot_vwo_j_1</span><span class="p">,</span> <span class="n">tot_vwo_m_1</span><span class="p">,</span> <span class="n">tot_tech_ll_1</span><span class="p">,</span> <span class="n">tot_ll_1</span><span class="p">],</span>
        <span class="p">[</span><span class="n">tot_havo_j_2</span><span class="p">,</span> <span class="n">tot_havo_m_2</span><span class="p">,</span> <span class="n">tot_vwo_j_2</span><span class="p">,</span> <span class="n">tot_vwo_m_2</span><span class="p">,</span> <span class="n">tot_tech_ll_2</span><span class="p">,</span> <span class="n">tot_ll_2</span><span class="p">],</span>
        <span class="p">[</span><span class="n">tot_havo_j_3</span><span class="p">,</span> <span class="n">tot_havo_m_3</span><span class="p">,</span> <span class="n">tot_vwo_j_3</span><span class="p">,</span> <span class="n">tot_vwo_m_3</span><span class="p">,</span> <span class="n">tot_tech_ll_3</span><span class="p">,</span> <span class="n">tot_ll_3</span><span class="p">],</span>
        <span class="p">[</span><span class="n">tot_havo_j_4</span><span class="p">,</span> <span class="n">tot_havo_m_4</span><span class="p">,</span> <span class="n">tot_vwo_j_4</span><span class="p">,</span> <span class="n">tot_vwo_m_4</span><span class="p">,</span> <span class="n">tot_tech_ll_4</span><span class="p">,</span> <span class="n">tot_ll_4</span><span class="p">],</span>
        <span class="p">[</span><span class="n">tot_havo_j_5</span><span class="p">,</span> <span class="n">tot_havo_m_5</span><span class="p">,</span> <span class="n">tot_vwo_j_5</span><span class="p">,</span> <span class="n">tot_vwo_m_5</span><span class="p">,</span> <span class="n">tot_tech_ll_5</span><span class="p">,</span> <span class="n">tot_ll_5</span><span class="p">],</span>
        <span class="p">[</span><span class="mi">0</span><span class="p">,</span> <span class="mi">0</span><span class="p">,</span> <span class="n">tot_vwo_j_6</span><span class="p">,</span> <span class="n">tot_vwo_m_6</span><span class="p">,</span> <span class="n">tot_tech_ll_6</span><span class="p">,</span> <span class="n">tot_ll_6</span><span class="p">]</span>
                <span class="p">]</span>

    <span class="n">frame</span> <span class="o">=</span> <span class="n">pd</span><span class="o">.</span><span class="n">DataFrame</span><span class="p">(</span><span class="n">data</span><span class="o">=</span><span class="n">test_data</span><span class="p">,</span> <span class="n">columns</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;Totaal havo jongens&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal havo meisjes&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal vwo jongens&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal vwo meisjes&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal leerlingen&#39;</span><span class="p">],</span>
                         <span class="n">index</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;Leerjaar 1&#39;</span><span class="p">,</span> <span class="s1">&#39;Leerjaar 2&#39;</span><span class="p">,</span> <span class="s1">&#39;Leerjaar 3&#39;</span><span class="p">,</span> <span class="s1">&#39;Leerjaar 4&#39;</span><span class="p">,</span> <span class="s1">&#39;Leerjaar 5&#39;</span><span class="p">,</span> <span class="s1">&#39;Leerjaar 6&#39;</span><span class="p">])</span>
    <span class="n">frame</span><span class="o">.</span><span class="n">loc</span><span class="p">[</span><span class="s1">&#39;Totaal&#39;</span><span class="p">]</span> <span class="o">=</span> <span class="n">pd</span><span class="o">.</span><span class="n">Series</span><span class="p">(</span>
        <span class="p">[</span>
        <span class="n">frame</span><span class="p">[</span><span class="s1">&#39;Totaal havo jongens&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">sum</span><span class="p">(),</span>
        <span class="n">frame</span><span class="p">[</span><span class="s1">&#39;Totaal havo meisjes&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">sum</span><span class="p">(),</span>
        <span class="n">frame</span><span class="p">[</span><span class="s1">&#39;Totaal vwo jongens&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">sum</span><span class="p">(),</span>
        <span class="n">frame</span><span class="p">[</span><span class="s1">&#39;Totaal vwo meisjes&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">sum</span><span class="p">(),</span>
        <span class="n">frame</span><span class="p">[</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">sum</span><span class="p">(),</span>
        <span class="n">frame</span><span class="p">[</span><span class="s1">&#39;Totaal leerlingen&#39;</span><span class="p">]</span><span class="o">.</span><span class="n">sum</span><span class="p">()</span>
        <span class="p">],</span>
        <span class="n">index</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;Totaal havo jongens&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal havo meisjes&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal vwo jongens&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal vwo meisjes&#39;</span><span class="p">,</span><span class="s1">&#39;Totaal technasium leerlingen&#39;</span><span class="p">,</span> <span class="s1">&#39;Totaal leerlingen&#39;</span><span class="p">])</span>

    <span class="k">return</span> <span class="n">frame</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-2'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-2'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">get_student_profiles_table</span><span class="p">(</span><span class="n">data</span><span class="p">):</span>
    <span class="sd">&#39;&#39;&#39;</span>
<span class="sd">    This function calculates how many students do a certain profile in a school or multiple schools.</span>

<span class="sd">    Args:</span>
<span class="sd">        data (Pandas.DataFrame): This is the data that will be used for calculating how many students do a certain profile in a school or multiple schools.</span>

<span class="sd">    Returns:</span>
<span class="sd">        frame (Pandas.Dataframe): This is a created dataframe that provides the results from the calculations structuredly.</span>
<span class="sd">    &#39;&#39;&#39;</span>
    <span class="n">tot_havo_NG_4</span><span class="p">,</span> <span class="n">tot_havo_NG_5</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">2</span>
    <span class="n">tot_havo_NT_4</span><span class="p">,</span> <span class="n">tot_havo_NT_5</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">2</span>
    <span class="n">tot_havo_NG_NT_4</span><span class="p">,</span> <span class="n">tot_havo_NG_NT_5</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">2</span>
    <span class="n">tot_havo_OVERIG_4</span><span class="p">,</span> <span class="n">tot_havo_OVERIG_5</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">2</span>

    <span class="n">tot_vwo_NG_4</span><span class="p">,</span> <span class="n">tot_vwo_NG_5</span><span class="p">,</span> <span class="n">tot_vwo_NG_6</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">3</span>
    <span class="n">tot_vwo_NT_4</span><span class="p">,</span> <span class="n">tot_vwo_NT_5</span><span class="p">,</span> <span class="n">tot_vwo_NT_6</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">3</span>
    <span class="n">tot_vwo_NG_NT_4</span><span class="p">,</span> <span class="n">tot_vwo_NG_NT_5</span><span class="p">,</span> <span class="n">tot_vwo_NG_NT_6</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">3</span>
    <span class="n">tot_vwo_OVERIG_4</span><span class="p">,</span> <span class="n">tot_vwo_OVERIG_5</span><span class="p">,</span> <span class="n">tot_vwo_OVERIG_6</span> <span class="o">=</span> <span class="p">(</span><span class="mi">0</span><span class="p">,)</span> <span class="o">*</span><span class="mi">3</span>

    <span class="k">for</span> <span class="n">index</span><span class="p">,</span> <span class="n">row</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">iterrows</span><span class="p">():</span>
        <span class="n">tot_havo_NG_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_NG_4</span>
        <span class="n">tot_havo_NG_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_NG_5</span>
        <span class="n">tot_havo_NT_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_NT_4</span>
        <span class="n">tot_havo_NT_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_NT_5</span>
        <span class="n">tot_havo_NG_NT_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_NG_NT_4</span>
        <span class="n">tot_havo_NG_NT_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_NG_NT_5</span>
        <span class="n">tot_havo_OVERIG_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_OVERIG_4</span>
        <span class="n">tot_havo_OVERIG_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">havo_OVERIG_5</span>

        <span class="n">tot_vwo_NG_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NG_4</span>
        <span class="n">tot_vwo_NG_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NG_5</span>
        <span class="n">tot_vwo_NG_6</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NG_6</span>
        <span class="n">tot_vwo_NT_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NT_4</span>
        <span class="n">tot_vwo_NT_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NT_5</span>
        <span class="n">tot_vwo_NT_6</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NT_6</span>
        <span class="n">tot_vwo_NG_NT_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NG_NT_4</span>
        <span class="n">tot_vwo_NG_NT_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NG_NT_5</span>
        <span class="n">tot_vwo_NG_NT_6</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_NG_NT_6</span>
        <span class="n">tot_vwo_OVERIG_4</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_OVERIG_4</span>
        <span class="n">tot_vwo_OVERIG_5</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_OVERIG_5</span>
        <span class="n">tot_vwo_OVERIG_6</span> <span class="o">+=</span> <span class="n">row</span><span class="o">.</span><span class="n">vwo_OVERIG_6</span>

    <span class="n">test_data</span> <span class="o">=</span> <span class="p">[[</span><span class="n">tot_havo_NG_4</span><span class="p">,</span> <span class="n">tot_havo_NT_4</span><span class="p">,</span> <span class="n">tot_havo_NG_NT_4</span><span class="p">,</span> <span class="n">tot_havo_OVERIG_4</span><span class="p">],</span>
            <span class="p">[</span><span class="n">tot_havo_NG_5</span><span class="p">,</span> <span class="n">tot_havo_NT_5</span><span class="p">,</span> <span class="n">tot_havo_NG_NT_5</span><span class="p">,</span> <span class="n">tot_havo_OVERIG_5</span><span class="p">],</span>
            <span class="p">[</span><span class="n">tot_vwo_NG_4</span><span class="p">,</span> <span class="n">tot_vwo_NT_4</span><span class="p">,</span> <span class="n">tot_vwo_NG_NT_4</span><span class="p">,</span> <span class="n">tot_vwo_OVERIG_4</span><span class="p">],</span>
            <span class="p">[</span><span class="n">tot_vwo_NG_5</span><span class="p">,</span> <span class="n">tot_vwo_NT_5</span><span class="p">,</span> <span class="n">tot_vwo_NG_NT_5</span><span class="p">,</span> <span class="n">tot_vwo_OVERIG_5</span><span class="p">],</span>
            <span class="p">[</span><span class="n">tot_vwo_NG_6</span><span class="p">,</span> <span class="n">tot_vwo_NT_6</span><span class="p">,</span> <span class="n">tot_vwo_NG_NT_6</span><span class="p">,</span> <span class="n">tot_vwo_OVERIG_6</span><span class="p">]]</span>

    <span class="n">frame</span> <span class="o">=</span> <span class="n">pd</span><span class="o">.</span><span class="n">DataFrame</span><span class="p">(</span><span class="n">data</span><span class="o">=</span><span class="n">test_data</span><span class="p">,</span> <span class="n">columns</span> <span class="o">=</span> <span class="p">[</span><span class="s1">&#39;NG&#39;</span><span class="p">,</span> <span class="s1">&#39;NT&#39;</span><span class="p">,</span> <span class="s1">&#39;NG&amp;NT&#39;</span><span class="p">,</span> <span class="s1">&#39;OVERIG&#39;</span><span class="p">],</span> <span class="n">index</span><span class="o">=</span><span class="p">[</span><span class="s1">&#39;Havo 4&#39;</span><span class="p">,</span> <span class="s1">&#39;Havo 5&#39;</span><span class="p">,</span> <span class="s1">&#39;VWO 4&#39;</span><span class="p">,</span> <span class="s1">&#39;VWO 5&#39;</span><span class="p">,</span> <span class="s1">&#39;VWO 6&#39;</span><span class="p">])</span>
    <span class="k">return</span> <span class="n">frame</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-3'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-3'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">get_titles_meesterproef</span><span class="p">(</span><span class="n">data</span><span class="p">):</span>

    <span class="n">titles_meesterproef</span> <span class="o">=</span> <span class="s1">&#39;&#39;</span>

    <span class="k">for</span> <span class="n">index</span><span class="p">,</span> <span class="n">row</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">iterrows</span><span class="p">():</span>
        <span class="n">titles_meesterproef</span> <span class="o">=</span> <span class="s1">&#39;{0}{1}&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">titles_meesterproef</span><span class="p">,</span> <span class="n">row</span><span class="o">.</span><span class="n">meesterproef</span><span class="o">.</span><span class="n">replace</span><span class="p">(</span><span class="s1">&#39;;&#39;</span><span class="p">,</span> <span class="s1">&#39;</span><span class="se">\n\n</span><span class="s1">&#39;</span><span class="p">))</span>

    <span class="k">return</span> <span class="n">titles_meesterproef</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-4'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-4'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">get_students_data</span><span class="p">(</span><span class="n">data</span><span class="p">,</span> <span class="n">columns_data</span><span class="p">):</span>
    <span class="sd">&#39;&#39;&#39;</span>
<span class="sd">    This function shows information from students that are graduated.</span>

<span class="sd">    Args:</span>
<span class="sd">        data (Pandas.DataFrame): This is the data that will be used for showing information from students that are graduated.</span>
<span class="sd">        columns_data (list): columns are the primary keys from the list that will be used in this function.</span>

<span class="sd">    Returns:</span>
<span class="sd">        dataframe (Pandas.Dataframe): This is a created dataframe that shows the information from students structuredly.</span>
<span class="sd">    &#39;&#39;&#39;</span>
    <span class="n">students_data</span> <span class="o">=</span> <span class="p">[]</span>

    <span class="n">global_env</span> <span class="o">=</span> <span class="p">{}</span>
    <span class="n">local_env</span> <span class="o">=</span> <span class="p">{}</span>

    <span class="k">for</span> <span class="n">school_data</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">data_leerlingen</span><span class="p">:</span>
        <span class="n">school_data</span> <span class="o">=</span> <span class="n">school_data</span><span class="o">.</span><span class="n">replace</span><span class="p">(</span><span class="s1">&#39;;&#39;</span><span class="p">,</span> <span class="s1">&#39;,&#39;</span><span class="p">)</span>

        <span class="n">school_data</span> <span class="o">=</span> <span class="s1">&#39;school_data = {}&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">school_data</span><span class="p">)</span>
        <span class="k">exec</span> <span class="p">(</span><span class="n">school_data</span><span class="p">,</span> <span class="n">global_env</span><span class="p">,</span> <span class="n">local_env</span><span class="p">)</span>
        <span class="k">for</span> <span class="n">student</span> <span class="ow">in</span> <span class="n">local_env</span><span class="p">[</span><span class="s1">&#39;school_data&#39;</span><span class="p">]:</span>
            <span class="n">students_data</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">student</span><span class="p">)</span>

    <span class="n">dataframe</span> <span class="o">=</span> <span class="n">pd</span><span class="o">.</span><span class="n">DataFrame</span><span class="p">(</span><span class="n">data</span><span class="o">=</span><span class="n">students_data</span><span class="p">,</span> <span class="n">columns</span> <span class="o">=</span> <span class="n">columns_data</span><span class="p">)</span>
    <span class="k">return</span> <span class="n">dataframe</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-5'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-5'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">create_pie_chart</span><span class="p">(</span><span class="n">dataframe</span><span class="p">,</span> <span class="n">column</span><span class="p">,</span> <span class="n">output_dir</span><span class="p">,</span> <span class="n">name</span><span class="o">=</span><span class="bp">None</span><span class="p">):</span>
    <span class="sd">&#39;&#39;&#39;</span>
<span class="sd">    This function creates a pie chart from a specific column in a DataFrame.</span>

<span class="sd">    Args:</span>
<span class="sd">        dataframe (Pandas.Dataframe): A dataframe that has to have the specific columns.</span>
<span class="sd">        column (string): The name of the specific column.</span>
<span class="sd">        output_dir (string): This is the location where the pie chart has to be stored.</span>

<span class="sd">    Returns:</span>
<span class="sd">        list (list): List with the elements with his percentage from the pie chart.</span>
<span class="sd">    &#39;&#39;&#39;</span>
    <span class="n">plt</span><span class="o">.</span><span class="n">clf</span><span class="p">()</span>
    <span class="k">try</span><span class="p">:</span>
        <span class="n">dataframe</span><span class="p">[</span><span class="n">column</span><span class="p">]</span><span class="o">.</span><span class="n">value_counts</span><span class="p">()</span><span class="o">.</span><span class="n">plot</span><span class="p">(</span><span class="n">kind</span><span class="o">=</span><span class="s1">&#39;pie&#39;</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s1">&#39;Number of appearances in dataset&#39;</span><span class="p">)</span>
        <span class="k">if</span> <span class="n">name</span> <span class="ow">is</span> <span class="ow">not</span> <span class="bp">None</span><span class="p">:</span>
            <span class="n">plt</span><span class="o">.</span><span class="n">savefig</span><span class="p">(</span><span class="s1">&#39;{0}{1}.png&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">output_dir</span><span class="p">,</span><span class="n">name</span><span class="p">))</span>
        <span class="k">else</span><span class="p">:</span>
            <span class="n">plt</span><span class="o">.</span><span class="n">savefig</span><span class="p">(</span><span class="s1">&#39;{0}{1}.png&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">output_dir</span><span class="p">,</span><span class="n">column</span><span class="p">))</span>

        <span class="nb">list</span> <span class="o">=</span> <span class="p">[]</span>
        <span class="n">count</span> <span class="o">=</span> <span class="mi">0</span>
        <span class="k">for</span> <span class="n">x</span> <span class="ow">in</span> <span class="n">dataframe</span><span class="p">[</span><span class="n">column</span><span class="p">]</span><span class="o">.</span><span class="n">value_counts</span><span class="p">():</span>
            <span class="n">y</span> <span class="o">=</span> <span class="n">x</span> <span class="o">/</span> <span class="n">dataframe</span><span class="p">[</span><span class="n">column</span><span class="p">]</span><span class="o">.</span><span class="n">value_counts</span><span class="p">()</span><span class="o">.</span><span class="n">sum</span><span class="p">()</span> <span class="o">*</span> <span class="mi">100</span>
            <span class="n">test</span> <span class="o">=</span> <span class="s1">&#39;{0}: {1:.1f}%&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">dataframe</span><span class="p">[</span><span class="n">column</span><span class="p">]</span><span class="o">.</span><span class="n">value_counts</span><span class="p">()</span><span class="o">.</span><span class="n">index</span><span class="p">[</span><span class="n">count</span><span class="p">],</span> <span class="n">y</span><span class="p">)</span>
            <span class="nb">list</span><span class="o">.</span><span class="n">append</span><span class="p">(</span><span class="n">test</span><span class="p">)</span>
            <span class="n">count</span><span class="o">+=</span><span class="mi">1</span>
    <span class="k">except</span><span class="p">:</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">axis</span><span class="p">(</span><span class="s1">&#39;equal&#39;</span><span class="p">)</span>
        <span class="n">plt</span><span class="o">.</span><span class="n">title</span><span class="p">(</span><span class="s1">&#39;Number of appearances in dataset&#39;</span><span class="p">)</span>
        <span class="k">if</span> <span class="n">name</span> <span class="ow">is</span> <span class="ow">not</span> <span class="bp">None</span><span class="p">:</span>
            <span class="n">plt</span><span class="o">.</span><span class="n">savefig</span><span class="p">(</span><span class="s1">&#39;{0}{1}.png&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">output_dir</span><span class="p">,</span><span class="n">name</span><span class="p">))</span>
        <span class="k">else</span><span class="p">:</span>
            <span class="n">plt</span><span class="o">.</span><span class="n">savefig</span><span class="p">(</span><span class="s1">&#39;{0}{1}.png&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">output_dir</span><span class="p">,</span><span class="n">column</span><span class="p">))</span>
        <span class="nb">list</span> <span class="o">=</span> <span class="p">[]</span>

    <span class="k">return</span> <span class="nb">list</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-6'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-6'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">create_html</span><span class="p">(</span><span class="n">output</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">title_document</span><span class="p">):</span>
    <span class="sd">&#39;&#39;&#39;</span>
<span class="sd">    This function creates a html file from the data</span>

<span class="sd">    Args:</span>
<span class="sd">        output (String): the output location plus name of file.</span>
<span class="sd">        data (dict&lt;String, List&gt;): Dictionary with as key the name of the object and as value the object.</span>
<span class="sd">        name (String): This is the title of the document.</span>
<span class="sd">        data (Pandas.DataFrame): This is the data that will be used for calculating the total students of a school or multiple schools.</span>
<span class="sd">    &#39;&#39;&#39;</span>

    <span class="n">style</span> <span class="o">=</span> <span class="s1">&#39;&#39;&#39;</span>
<span class="s1">&lt;style&gt;</span>
<span class="s1">#DIVIDER</span>
<span class="s1">@charset &quot;utf-8&quot;;</span>

<span class="s1"> html, body {</span>
<span class="s1"> margin: 0px;</span>
<span class="s1"> padding: 0px;</span>
<span class="s1"> border: 0px;</span>
<span class="s1"> color: #000;</span>
<span class="s1"> background: #fff;</span>
<span class="s1"> }</span>
<span class="s1"> html, body, p, th, td, li, dd, dt {</span>
<span class="s1"> font: 1em Arial, Helvetica, sans-serif;</span>
<span class="s1"> }</span>
<span class="s1"> h1, h2, h3, h4, h5, h6 {</span>
<span class="s1"> font-family: Arial, Helvetica, sans-serif;</span>
<span class="s1"> }</span>
<span class="s1"> h1 { font-size: 2em; }</span>
<span class="s1"> h2 { font-size: 1.5em; }</span>
<span class="s1"> h3 { font-size: 1.2em ; }</span>
<span class="s1"> h4 { font-size: 1.0em; }</span>
<span class="s1"> h5 { font-size: 0.9em; }</span>
<span class="s1"> h6 { font-size: 0.8em; }</span>
<span class="s1"> a:link { color: #00f; }</span>
<span class="s1"> a:visited { color: #009; }</span>
<span class="s1"> a:hover { color: #06f; }</span>
<span class="s1"> a:active { color: #0cf; }</span>
<span class="s1">&lt;/style&gt;</span><span class="se">\n</span><span class="s1"></span>
<span class="s1">&#39;&#39;&#39;</span>
    <span class="n">markdown</span> <span class="o">=</span> <span class="n">style</span> <span class="o">+</span> <span class="s1">&#39;#{}</span><span class="se">\n</span><span class="s1">&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">title_document</span><span class="p">)</span>
    <span class="n">markdown</span> <span class="o">=</span> <span class="n">markdown</span> <span class="o">+</span> <span class="s1">&#39;## Inhoud</span><span class="se">\n</span><span class="s1">&#39;</span>
    <span class="k">for</span> <span class="n">item</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">keys</span><span class="p">():</span>
        <span class="n">markdown</span> <span class="o">=</span> <span class="n">markdown</span> <span class="o">+</span> <span class="s1">&#39;* __{}__</span><span class="se">\n</span><span class="s1">&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">item</span><span class="p">)</span>

    <span class="k">for</span> <span class="n">name</span><span class="p">,</span> <span class="n">data</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">items</span><span class="p">():</span>
        <span class="n">markdown</span> <span class="o">=</span> <span class="n">markdown</span> <span class="o">+</span> <span class="s1">&#39;</span><span class="se">\n</span><span class="s1">## {}</span><span class="se">\n</span><span class="s1">&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">name</span><span class="p">)</span>

        <span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
        <span class="k">for</span> <span class="n">element</span> <span class="ow">in</span> <span class="n">data</span><span class="p">:</span>
            <span class="k">if</span> <span class="p">(</span><span class="s1">&#39;.png&#39;</span> <span class="ow">or</span> <span class="s1">&#39;.jpg&#39;</span><span class="p">)</span> <span class="ow">in</span> <span class="nb">str</span><span class="p">(</span><span class="n">element</span><span class="p">):</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-7'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-7'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre>                <span class="n">markdown</span> <span class="o">=</span> <span class="n">markdown</span> <span class="o">+</span> <span class="s1">&#39;&lt;img src=&quot;{}&quot; width=&quot;400&quot;&gt;</span><span class="se">\n\n</span><span class="s1">&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">element</span><span class="p">)</span>

            <span class="k">else</span><span class="p">:</span>
                <span class="k">if</span> <span class="nb">type</span><span class="p">(</span><span class="n">element</span><span class="p">)</span> <span class="o">==</span> <span class="nb">list</span><span class="p">:</span>
                    <span class="k">for</span> <span class="n">item</span> <span class="ow">in</span> <span class="n">element</span><span class="p">:</span>
                        <span class="n">markdown</span> <span class="o">=</span> <span class="n">markdown</span> <span class="o">+</span> <span class="s1">&#39;{}</span><span class="se">\n\n</span><span class="s1">&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">item</span><span class="p">)</span>

                <span class="k">if</span> <span class="nb">type</span><span class="p">(</span><span class="n">element</span><span class="p">)</span> <span class="o">==</span> <span class="nb">str</span><span class="p">:</span>
                    <span class="n">markdown</span> <span class="o">=</span> <span class="n">markdown</span> <span class="o">+</span> <span class="s1">&#39;{}</span><span class="se">\n</span><span class="s1">&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">element</span><span class="p">)</span>

                <span class="k">if</span> <span class="nb">str</span><span class="p">(</span><span class="nb">type</span><span class="p">(</span><span class="n">element</span><span class="p">))</span> <span class="o">==</span> <span class="s2">&quot;&lt;class &#39;pandas.core.frame.DataFrame&#39;&gt;&quot;</span><span class="p">:</span>
                    <span class="n">markdown</span> <span class="o">=</span> <span class="n">markdown</span> <span class="o">+</span> <span class="s1">&#39;{}</span><span class="se">\n</span><span class="s1">&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">element</span><span class="o">.</span><span class="n">to_html</span><span class="p">())</span>

        <span class="n">i</span> <span class="o">+=</span> <span class="mi">1</span>

    <span class="k">with</span> <span class="nb">open</span><span class="p">(</span><span class="s1">&#39;{}.html&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">output</span><span class="p">),</span> <span class="s1">&#39;w&#39;</span><span class="p">)</span> <span class="k">as</span> <span class="nb">file</span><span class="p">:</span>
        <span class="n">html</span> <span class="o">=</span> <span class="n">markdown2</span><span class="o">.</span><span class="n">markdown</span><span class="p">(</span><span class="n">markdown</span><span class="p">)</span>
        <span class="n">markdowner</span> <span class="o">=</span> <span class="n">markdown2</span><span class="o">.</span><span class="n">Markdown</span><span class="p">()</span>
        <span class="n">html</span> <span class="o">=</span> <span class="n">markdowner</span><span class="o">.</span><span class="n">convert</span><span class="p">(</span><span class="n">html</span><span class="p">)</span>
        <span class="nb">file</span><span class="o">.</span><span class="n">write</span><span class="p">(</span><span class="n">html</span><span class="p">)</span>

    <span class="k">return</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-8'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-8'>#</a>
      </div>
      <p>markdown = markdown + '![Image]({} =100x)\n\n'.format(element)</p>
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">create_pdf</span><span class="p">(</span><span class="n">output</span><span class="p">,</span> <span class="n">data</span><span class="p">,</span> <span class="n">title_document</span><span class="p">):</span>
    <span class="sd">&#39;&#39;&#39;</span>
<span class="sd">    This function creates a PDF file from the data</span>

<span class="sd">    Args:</span>
<span class="sd">        output (String): the output location plus name of file.</span>
<span class="sd">        data (dict&lt;String, List&gt;): Dictionary with as key the name of the object and as value the object.</span>
<span class="sd">        name (String): This is the title of the document.</span>
<span class="sd">        data (Pandas.DataFrame): This is the data that will be used for calculating the total students of a school or multiple schools.</span>
<span class="sd">    &#39;&#39;&#39;</span>
    <span class="n">pdf</span> <span class="o">=</span> <span class="n">fpdf</span><span class="o">.</span><span class="n">FPDF</span><span class="p">(</span><span class="n">format</span><span class="o">=</span><span class="s1">&#39;letter&#39;</span><span class="p">)</span>
    <span class="n">pdf</span><span class="o">.</span><span class="n">add_page</span><span class="p">()</span>
    <span class="n">pdf</span><span class="o">.</span><span class="n">set_font</span><span class="p">(</span><span class="s1">&#39;Arial&#39;</span><span class="p">,</span> <span class="s1">&#39;BU&#39;</span><span class="p">,</span> <span class="n">size</span><span class="o">=</span><span class="mi">14</span><span class="p">)</span>
    <span class="n">pdf</span><span class="o">.</span><span class="n">multi_cell</span><span class="p">(</span><span class="mi">200</span><span class="p">,</span><span class="mi">10</span><span class="p">,</span> <span class="n">txt</span><span class="o">=</span><span class="n">title_document</span><span class="p">,</span> <span class="n">align</span><span class="o">=</span><span class="s1">&#39;C&#39;</span><span class="p">)</span>
    <span class="n">pdf</span><span class="o">.</span><span class="n">ln</span><span class="p">(</span><span class="mi">1</span><span class="p">)</span>

    <span class="n">i</span> <span class="o">=</span> <span class="mi">1</span>
    <span class="n">pdf</span><span class="o">.</span><span class="n">set_font</span><span class="p">(</span><span class="s1">&#39;Arial&#39;</span><span class="p">,</span> <span class="n">size</span><span class="o">=</span><span class="mi">12</span><span class="p">)</span>
    <span class="k">for</span> <span class="n">item</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">keys</span><span class="p">():</span>
        <span class="n">pdf</span><span class="o">.</span><span class="n">cell</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">pdf</span><span class="o">.</span><span class="n">font_size</span><span class="p">,</span> <span class="n">txt</span><span class="o">=</span><span class="s1">&#39;{0}. {1}&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">i</span><span class="p">,</span> <span class="n">item</span><span class="p">),</span> <span class="n">ln</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span> <span class="n">align</span><span class="o">=</span><span class="s1">&#39;L&#39;</span><span class="p">)</span>
        <span class="n">i</span> <span class="o">+=</span> <span class="mi">1</span>

    <span class="k">for</span> <span class="n">name</span><span class="p">,</span> <span class="n">data</span> <span class="ow">in</span> <span class="n">data</span><span class="o">.</span><span class="n">items</span><span class="p">():</span>
        <span class="n">pdf</span><span class="o">.</span><span class="n">add_page</span><span class="p">()</span>
        <span class="n">pdf</span><span class="o">.</span><span class="n">set_font</span><span class="p">(</span><span class="s1">&#39;Arial&#39;</span><span class="p">,</span> <span class="s1">&#39;B&#39;</span><span class="p">,</span> <span class="n">size</span><span class="o">=</span><span class="mi">13</span><span class="p">)</span>
        <span class="n">pdf</span><span class="o">.</span><span class="n">cell</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="n">pdf</span><span class="o">.</span><span class="n">font_size</span><span class="o">+</span><span class="mi">10</span><span class="p">,</span> <span class="n">txt</span><span class="o">=</span><span class="n">name</span><span class="p">,</span> <span class="n">ln</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span> <span class="n">align</span><span class="o">=</span><span class="s1">&#39;L&#39;</span><span class="p">)</span>

        <span class="n">i</span> <span class="o">=</span> <span class="mi">0</span>
        <span class="k">for</span> <span class="n">element</span> <span class="ow">in</span> <span class="n">data</span><span class="p">:</span>
            <span class="k">if</span> <span class="p">(</span><span class="s1">&#39;.png&#39;</span> <span class="ow">or</span> <span class="s1">&#39;.jpg&#39;</span><span class="p">)</span> <span class="ow">in</span> <span class="nb">str</span><span class="p">(</span><span class="n">element</span><span class="p">):</span>
                <span class="n">pdf</span><span class="o">.</span><span class="n">image</span><span class="p">(</span><span class="n">data</span><span class="p">[</span><span class="n">i</span><span class="p">],</span> <span class="n">x</span><span class="o">=</span><span class="mi">10</span><span class="p">,</span> <span class="n">y</span><span class="o">=</span><span class="n">pdf</span><span class="o">.</span><span class="n">get_y</span><span class="p">(),</span> <span class="n">w</span><span class="o">=</span><span class="mi">100</span><span class="p">)</span>
                <span class="n">pdf</span><span class="o">.</span><span class="n">ln</span><span class="p">(</span><span class="mi">70</span><span class="p">)</span>

            <span class="k">else</span><span class="p">:</span>
                <span class="k">if</span> <span class="nb">type</span><span class="p">(</span><span class="n">element</span><span class="p">)</span> <span class="o">==</span> <span class="nb">list</span><span class="p">:</span>
                    <span class="k">for</span> <span class="n">item</span> <span class="ow">in</span> <span class="n">data</span><span class="p">[</span><span class="n">i</span><span class="p">]:</span>
                        <span class="n">pdf</span><span class="o">.</span><span class="n">set_font</span><span class="p">(</span><span class="s1">&#39;Arial&#39;</span><span class="p">,</span> <span class="n">size</span><span class="o">=</span><span class="mi">8</span><span class="p">)</span>
                        <span class="n">pdf</span><span class="o">.</span><span class="n">cell</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span> <span class="n">pdf</span><span class="o">.</span><span class="n">font_size</span><span class="p">,</span> <span class="n">txt</span><span class="o">=</span><span class="n">item</span><span class="p">,</span> <span class="n">ln</span><span class="o">=</span><span class="mi">1</span><span class="p">,</span> <span class="n">align</span><span class="o">=</span><span class="s1">&#39;L&#39;</span><span class="p">)</span>
                        <span class="n">pdf</span><span class="o">.</span><span class="n">ln</span><span class="p">(</span><span class="mi">2</span><span class="p">)</span>

                <span class="k">if</span> <span class="nb">type</span><span class="p">(</span><span class="n">element</span><span class="p">)</span> <span class="o">==</span> <span class="nb">str</span><span class="p">:</span>
                    <span class="n">pdf</span><span class="o">.</span><span class="n">set_font</span><span class="p">(</span><span class="s1">&#39;Arial&#39;</span><span class="p">,</span> <span class="n">size</span><span class="o">=</span><span class="mi">11</span><span class="p">)</span>
                    <span class="n">pdf</span><span class="o">.</span><span class="n">multi_cell</span><span class="p">(</span><span class="mi">0</span><span class="p">,</span><span class="n">pdf</span><span class="o">.</span><span class="n">font_size</span><span class="p">,</span> <span class="n">txt</span><span class="o">=</span><span class="n">element</span><span class="p">,</span> <span class="n">align</span><span class="o">=</span><span class="s1">&#39;L&#39;</span><span class="p">)</span>

            <span class="n">i</span> <span class="o">+=</span> <span class="mi">1</span>

    <span class="n">pdf</span><span class="o">.</span><span class="n">output</span><span class="p">(</span><span class="s1">&#39;{0}.pdf&#39;</span><span class="o">.</span><span class="n">format</span><span class="p">(</span><span class="n">output</span><span class="p">))</span>
    <span class="k">return</span></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-9'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-9'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre><span class="k">def</span> <span class="nf">compare_old_to_new</span><span class="p">(</span><span class="n">old</span><span class="p">,</span> <span class="n">new</span><span class="p">):</span>
    <span class="k">return</span> <span class="p">((</span><span class="n">new</span> <span class="o">-</span> <span class="n">old</span><span class="p">)</span> <span class="o">/</span> <span class="n">old</span><span class="p">)</span> <span class="o">*</span> <span class="mi">100</span>

</pre></div>
    </div>
  </div>
  <div class='clearall'></div>
  <div class='section' id='section-10'>
    <div class='docs'>
      <div class='octowrap'>
        <a class='octothorpe' href='#section-10'>#</a>
      </div>
      
    </div>
    <div class='code'>
      <div class="highlight"><pre></pre></div>
    </div>
  </div>
  <div class='clearall'></div>
</div>
</body>
